BitMagic-C++: Data Fields - Functions

BitMagic-C++

### - b -

- back_insert_iterator() : bm::rsc_sparse_vector< Val, SV >::back_insert_iterator , bm::sparse_vector< Val, BV >::back_insert_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::back_insert_iterator
- balance() : dbg_block_allocator , dbg_ptr_allocator
- base_sparse_vector() : bm::base_sparse_vector< Val, BV, MAX_SIZE >
- basic_bmatrix() : bm::basic_bmatrix< BV >
- begin() : bm::bit_block_t , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- bfind_eq_str() : bm::sparse_vector_scanner< SV >
- bic_decode_u16() : bm::bit_in< TDecoder >
- bic_decode_u16_bitset() : bm::bit_in< TDecoder >
- bic_decode_u16_cm() : bm::bit_in< TDecoder >
- bic_decode_u16_cm_bitset() : bm::bit_in< TDecoder >
- bic_decode_u16_cm_dry() : bm::bit_in< TDecoder >
- bic_decode_u16_dry() : bm::bit_in< TDecoder >
- bic_decode_u16_rg() : bm::bit_in< TDecoder >
- bic_decode_u16_rg_bitset() : bm::bit_in< TDecoder >
- bic_decode_u16_rg_dry() : bm::bit_in< TDecoder >
- bic_decode_u32_cm() : bm::bit_in< TDecoder >
- bic_encode_u16() : bm::bit_out< TEncoder >
- bic_encode_u16_cm() : bm::bit_out< TEncoder >
- bic_encode_u16_rg() : bm::bit_out< TEncoder >
- bic_encode_u32_cm() : bm::bit_out< TEncoder >
- bienc_arr_bit_block() : bm::serializer< BV >
- bienc_gap_bit_block() : bm::serializer< BV >
- bind() : bm::sparse_vector_scanner< SV >
- bit_and() : bm::bvector< Alloc >
- bit_count() : bm::bvector_mini< A >
- bit_decode_cache() : bm::bit_decode_cache
- bit_in() : bm::bit_in< TDecoder >
- bit_operation_count() : bm::operation_functions< T >
- bit_or() : bm::bvector< Alloc >
- bit_out() : bm::bit_out< TEncoder >
- bit_sub() : bm::bvector< Alloc >
- bit_vistor_copy_functor() : bm::bit_vistor_copy_functor< BV >
- bit_vitor_callback_adaptor() : bm::bit_vitor_callback_adaptor< VCBT, size_type >
- bit_xor() : bm::bvector< Alloc >
- bitblock_get_adapter() : bm::bitblock_get_adapter
- bitblock_store_adapter() : bm::bitblock_store_adapter
- bitblock_sum_adapter() : bm::bitblock_sum_adapter
- block_idx() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- block_type() : bm::all_set< T >
- bo() : bm::globals< T >::bo
- bookmark_state() : bm::serializer< BV >::bookmark_state
- buf() : bm::sparse_vector_serial_layout< SV >
- buf_size_max() : bm::bvector< Alloc >::bulk_insert_iterator
- build() : bm::bv_ref_vector< BV >
- Build() : DNA_FingerprintScanner
- build_octet_remap() : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- build_rs_index() : bm::bvector< Alloc >
- build_xor_ref_vector() : bm::sparse_vector_serializer< SV >
- BuildBulk() : DNA_FingerprintScanner
- BuildParallel() : DNA_FingerprintScanner
- bulk_insert_iterator() : bm::bvector< Alloc >::bulk_insert_iterator
- bv_size() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- bvector() : bm::bvector< Alloc >
- bvector_mini() : bm::bvector_mini< A >
- bvmini() : bm::bvmini< N >
- bvps_addr_resolver() : bm::bvps_addr_resolver< BV >
- byte_order() : bm::globals< T >
- byte_order_serialization() : bm::serializer< BV >